<?php

namespace CromurClient\Tables;


use MartianooCore\Api\Database\DbSchema;
use MartianooCore\Api\Database\Spec;
use MartianooCore\Api\Database\Table;

class SettingsTable extends Table
{
    /**
     * @codeCoverageIgnore
     */
    public function create()
    {
        $spec = new Spec();
        $spec->autoIncrements("id");
        $spec->string("name", 500)->notNull();
        $spec->string("value", 500)->notNull();
        $spec->defaultDates();
        DbSchema::create("cromur_client_settings", $spec);
    }

    /**
     * @codeCoverageIgnore
     */
    public function drop()
    {
        DbSchema::drop("cromur_client_settings");
    }
}